Subject: Re: [PATCH net-next v5 2/2] nfp: update devlink device info output

From: Louis Peens <[email-masked]>
Date: Thu, 11 Apr 2024 08:18:46 +0200

On Wed, Apr 10, 2024 at 03:27:22PM -0700, Jacob Keller wrote:
> 
> 
> On 4/10/2024 4:26 AM, Louis Peens wrote:
> > From: Fei Qin <[email-masked]>
> > 
> > Newer NIC will introduce a new part number, now add it
> > into devlink device info.
> > 
> > This patch also updates the information of "board.id" in
> > nfp.rst to match the devlink-info.rst.
> > 
> 
> I was a bit confused since you didn't update the board.id to reference
> something else. I am guessing in newer images, the "assembly.partno"
> would be different from "pn"?

Hi - yes, they would be two different things, approximate example for
new images:
    board.id ~ AMDA2001-1003
    board.part_number ~ CGX11-A2PSNM

Old images will just have board.id. The field naming we get from the
hardware is indeed slightly confusing, but since they are used
differently we could not just update board.id.

I hope this clears things up.

Regards
Louis
> Thanks,
> Jake